package com.jasamedika.medifirst2000.service;

import java.util.List;
import java.util.Map;

import com.jasamedika.medifirst2000.vo.UsulanEvaluasiVO;


/**
 * Evaluasi Rekanan Service
 * 
 * @author Lukman Hakim
 */
public interface EvaluasiRekananService  {
	 
	String noEvaluasiRekanan();
	
	List<Map<String,Object>> listUsulanEvaluasiByRuanganPembuat(String tglAwal, String tglAkhir,String noUsulan,Integer ruanganId);
	
	List<Map<String,Object>> listUsulanEvaluasiByRuanganTujuan(String tglAwal, String tglAkhir,String noUsulan,Integer ruanganId);
	
	Map<String,Object> usulanEvaluasiByNoUsulan(String noUsulan);
	
	String saveEvaluasiRekanan(UsulanEvaluasiVO usulanEvaluasiVO);
	
	Map<String, Object>  saveRekomendasiEvaluasiRekanan(UsulanEvaluasiVO usulanEvaluasiVO);
	
}
